summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/integration/test-bug-591882-conkeror5
-rwxr-xr-xtest/integration/test-solver3-suggests-last26
2 files changed, 31 insertions, 0 deletions
diff --git a/test/integration/test-bug-591882-conkeror b/test/integration/test-bug-591882-conkeror
index 21c569756..6d4712a25 100755
--- a/test/integration/test-bug-591882-conkeror
+++ b/test/integration/test-bug-591882-conkeror
@@ -10,6 +10,7 @@ setupaptarchive
UPGRADEFAIL="Reading package lists...
Building dependency tree...
+Reading state information...
Calculating upgrade...
The following packages will be REMOVED:
conkeror libdatrie0 libkrb53 libxcb-xlib0 xulrunner-1.9
@@ -42,6 +43,7 @@ E: Trivial Only specified but this is not a trivial operation."
UPGRADESUCCESS="Reading package lists...
Building dependency tree...
+Reading state information...
Calculating upgrade...
The following packages will be REMOVED:
libdatrie0 libkrb53 libxcb-xlib0 xulrunner-1.9
@@ -73,6 +75,9 @@ Need to get 0 B/62.9 MB of archives.
After this operation, 36.0 MB of additional disk space will be used.
E: Trivial Only specified but this is not a trivial operation."
+# solver3 otherwise chooses to keep back xulrunner-1.9 rather than replace it with xulrunner-1.9.1,,
+# and keep back reverse dependencies of xulrunner-1.9 which seems correct.
+testsuccess aptmark auto xulrunner-1.9
# Test that the old behavior can be restored with the option
testfailureequal "$UPGRADEFAIL" aptget dist-upgrade --trivial-only -o pkgProblemResolver::FixByInstall=0 --solver internal
testfailureequal "$UPGRADESUCCESS" aptget dist-upgrade --trivial-only #-o pkgProblemResolver::FixByInstall=0
diff --git a/test/integration/test-solver3-suggests-last b/test/integration/test-solver3-suggests-last
new file mode 100755
index 000000000..9a280eed8
--- /dev/null
+++ b/test/integration/test-solver3-suggests-last
@@ -0,0 +1,26 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'installed' 'avahi-daemon' 'all' '1' 'Suggests: avahi-autoipd'
+insertpackage 'installed' 'dhcpd-base' 'all' '1' 'Provides: avahi-autoipd'
+insertpackage 'unstable' 'avahi-autoipd' 'all' 2
+insertpackage 'unstable' 'dhcpd-base' 'all' '2'
+
+setupaptarchive
+
+for command in "aptget upgrade" "aptget dist-upgrade" "apt upgrade" "apt dist-upgrade"; do
+testsuccessequal "Reading package lists...
+Building dependency tree...
+Calculating upgrade...
+The following packages will be upgraded:
+ dhcpd-base
+1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
+Inst dhcpd-base [1] (2 unstable [all])
+Conf dhcpd-base (2 unstable [all])" $command -s -q
+done
+